Subject: bug#4062: 23.0.60; temacs seg faults

From: jpff <[email-masked]>
Date: Thu, 6 Aug 2009 06:20:27 +0100

Last night (my time) I did an update from the CVS and temacs fails to
run

.....
cd ../lisp; make -w update-subdirs
make[3]: Entering directory `/home/jpff/GNU_21/emacs-22.0.50/lisp'
wd=/home/jpff/GNU_21/emacs-22.0.50/lisp; subdirs=`(cd $wd; find . -type d -print)`; for file in $subdirs; do case $file in */Old | */RCS | */CVS | */CVS/* | */.* | */.*/* | */=* ) ;; *) wins="$wins $wd/$file" ;; esac; done; \
        for file in $wins; do \
           /home/jpff/GNU_21/emacs-22.0.50/lisp/../update-subdirs $file; \
        done;
make[3]: Leaving directory `/home/jpff/GNU_21/emacs-22.0.50/lisp'
`/bin/pwd`/temacs --batch --load loadup bootstrap
make[2]: *** [bootstrap-emacs] Segmentation fault
make[2]: Leaving directory `/home/jpff/GNU_21/emacs-22.0.50/src'
make[1]: *** [src] Error 2
make[1]: Leaving directory `/home/jpff/GNU_21/emacs-22.0.50'
make: *** [bootstrap] Error 2

Running under gdb

cardew:~/GNU_21/emacs-22.0.50/src> gdb temacs 
GNU gdb 6.6.50.20070726-cvs
Copyright (C) 2007 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i586-suse-linux"...
Using host libthread_db library "/lib/libthread_db.so.1".
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x812d399: file sysdep.c, line 1132.
(gdb) run --batch --load loadup bootstrap
Starting program: /home/jpff/GNU_21/emacs-22.0.50/src/temacs --batch --load loadup bootstrap
[Thread debugging using libthread_db enabled]
[New Thread 0xb6e1aa10 (LWP 5022)]
[New process 5022]
[New process 5022]

Program received signal SIGSEGV, Segmentation fault.
0x0817de02 in Fsignal (error_symbol=137930033, data=138393693) at eval.c:1678
1678          call2 (Vsignal_hook_function, error_symbol, data);
(gdb) where
#0  0x0817de02 in Fsignal (error_symbol=137930033, data=138393693)
    at eval.c:1678
#1  0x0817dfc8 in xsignal (error_symbol=137930033, data=138393693)
    at eval.c:1751
#2  0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#3  0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8000d0) at eval.c:3110
#4  0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393685) at eval.c:2852
#5  0x0817de07 in Fsignal (error_symbol=137930033, data=138393685)
    at eval.c:1678
#6  0x0817dfc8 in xsignal (error_symbol=137930033, data=138393685)
    at eval.c:1751
#7  0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#8  0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8001a0) at eval.c:3110
#9  0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393677) at eval.c:2852
#10 0x0817de07 in Fsignal (error_symbol=137930033, data=138393677)
    at eval.c:1678
#11 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393677)
    at eval.c:1751
#12 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#13 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800270) at eval.c:3110
#14 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393669) at eval.c:2852
#15 0x0817de07 in Fsignal (error_symbol=137930033, data=138393669)
    at eval.c:1678
#16 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393669)
    at eval.c:1751
#17 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#18 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800340) at eval.c:3110
#19 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393661) at eval.c:2852
#20 0x0817de07 in Fsignal (error_symbol=137930033, data=138393661)
    at eval.c:1678
#21 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393661)
    at eval.c:1751
#22 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#23 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800410) at eval.c:3110
#24 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393653) at eval.c:2852
#25 0x0817de07 in Fsignal (error_symbol=137930033, data=138393653)
    at eval.c:1678
#26 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393653)
    at eval.c:1751
#27 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#28 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8004e0) at eval.c:3110
#29 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393645) at eval.c:2852
#30 0x0817de07 in Fsignal (error_symbol=137930033, data=138393645)
    at eval.c:1678
#31 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393645)
    at eval.c:1751
#32 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#33 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8005b0) at eval.c:3110
#34 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393637) at eval.c:2852
#35 0x0817de07 in Fsignal (error_symbol=137930033, data=138393637)
    at eval.c:1678
#36 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393637)
    at eval.c:1751
#37 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#38 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800680) at eval.c:3110
#39 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393629) at eval.c:2852
#40 0x0817de07 in Fsignal (error_symbol=137930033, data=138393629)
    at eval.c:1678
#41 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393629)
    at eval.c:1751
#42 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#43 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800750) at eval.c:3110
#44 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393621) at eval.c:2852
#45 0x0817de07 in Fsignal (error_symbol=137930033, data=138393621)
    at eval.c:1678
#46 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393621)
    at eval.c:1751
#47 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#48 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800820) at eval.c:3110
#49 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393613) at eval.c:2852
#50 0x0817de07 in Fsignal (error_symbol=137930033, data=138393613)
    at eval.c:1678
#51 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393613)
    at eval.c:1751
#52 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#53 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8008f0) at eval.c:3110
#54 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393605) at eval.c:2852
#55 0x0817de07 in Fsignal (error_symbol=137930033, data=138393605)
    at eval.c:1678
#56 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393605)
    at eval.c:1751
#57 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#58 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8009c0) at eval.c:3110
#59 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395621) at eval.c:2852
#60 0x0817de07 in Fsignal (error_symbol=137930033, data=138395621)
    at eval.c:1678
#61 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395621)
    at eval.c:1751
#62 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#63 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800a90) at eval.c:3110
#64 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395613) at eval.c:2852
#65 0x0817de07 in Fsignal (error_symbol=137930033, data=138395613)
    at eval.c:1678
#66 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395613)
    at eval.c:1751
#67 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#68 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800b60) at eval.c:3110
#69 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395605) at eval.c:2852
#70 0x0817de07 in Fsignal (error_symbol=137930033, data=138395605)
    at eval.c:1678
#71 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395605)
    at eval.c:1751
#72 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#73 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800c30) at eval.c:3110
#74 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395597) at eval.c:2852
#75 0x0817de07 in Fsignal (error_symbol=137930033, data=138395597)
    at eval.c:1678
#76 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395597)
    at eval.c:1751
#77 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#78 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800d00) at eval.c:3110
#79 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395589) at eval.c:2852
#80 0x0817de07 in Fsignal (error_symbol=137930033, data=138395589)
    at eval.c:1678
#81 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395589)
    at eval.c:1751
#82 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#83 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800dd0) at eval.c:3110
#84 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395581) at eval.c:2852
#85 0x0817de07 in Fsignal (error_symbol=137930033, data=138395581)
    at eval.c:1678
#86 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395581)
    at eval.c:1751
#87 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#88 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800ea0) at eval.c:3110
#89 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395573) at eval.c:2852
#90 0x0817de07 in Fsignal (error_symbol=137930033, data=138395573)
    at eval.c:1678
#91 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395573)
    at eval.c:1751
#92 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#93 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800f70) at eval.c:3110
#94 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395565) at eval.c:2852
#95 0x0817de07 in Fsignal (error_symbol=137930033, data=138395565)
    at eval.c:1678
#96 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395565)
    at eval.c:1751
#97 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#98 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf801040) at eval.c:3110
#99 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395557) at eval.c:2852
#100 0x0817de07 in Fsignal (error_symbol=137930033, data=138395557)
    at eval.c:1678
#101 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395557)
    at eval.c:1751
#102 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#103 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf801110) at eval.c:3110
#104 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395549) at eval.c:2852
#105 0x0817de07 in Fsignal (error_symbol=137930033, data=138395549)
    at eval.c:1678
#106 0x0817dfc8 in xsignal (error_symbol=137930033, data=138395549)
    at eval.c:1751
#107 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
#108 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8011e0) at eval.c:3110
#109 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138395541) at eval.c:2852
#110 0x0817de07 in Fsignal (error_symbol=137930033, data=138395541)
    at eval.c:1678
.....repeats for tens of thousands of time

(gdb) bt full
#0  0x0817de02 in Fsignal (error_symbol=137930033, data=138393693)
    at eval.c:1678
        allhandlers = (struct handler *) 0x0
        conditions = <value optimized out>
        string = <value optimized out>
        real_error_symbol = 137930033
        bp = <value optimized out>
#1  0x0817dfc8 in xsignal (error_symbol=137930033, data=138393693)
    at eval.c:1751
No locals.
#2  0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
No locals.
#3  0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8000d0) at eval.c:3110
        fun = 0
        original_fun = 0
        funcar = 0
        numargs = 2
        val = <value optimized out>
        backtrace = {
  next = 0xbf800168, 
  function = 0xbf8000d0, 
  args = 0xbf8000d4, 
  nargs = 2, 
  evalargs = 0 '\0', 
  debug_on_exit = 0 '\0'
}
        internal_args = (Lisp_Object *) 0xbf8000d4
        i = <value optimized out>
#4  0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393685) at eval.c:2852
        ret_ungc_val = 137930033
#5  0x0817de07 in Fsignal (error_symbol=137930033, data=138393685)
    at eval.c:1678
        allhandlers = (struct handler *) 0x0
        conditions = <value optimized out>
        string = <value optimized out>
        real_error_symbol = 137930033
        bp = <value optimized out>
#6  0x0817dfc8 in xsignal (error_symbol=137930033, data=138393685)
    at eval.c:1751
No locals.
#7  0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
No locals.
#8  0x0817d9c1 in Ffuncall (nargs=3, args=0xbf8001a0) at eval.c:3110
        fun = 0
        original_fun = 0
        funcar = 0
        numargs = 2
        val = <value optimized out>
        backtrace = {
  next = 0xbf800238, 
  function = 0xbf8001a0, 
  args = 0xbf8001a4, 
  nargs = 2, 
  evalargs = 0 '\0', 
  debug_on_exit = 0 '\0'
}
        internal_args = (Lisp_Object *) 0xbf8001a4
        i = <value optimized out>
#9  0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393677) at eval.c:2852
        ret_ungc_val = 137930033
#10 0x0817de07 in Fsignal (error_symbol=137930033, data=138393677)
    at eval.c:1678
        allhandlers = (struct handler *) 0x0
        conditions = <value optimized out>
        string = <value optimized out>
        real_error_symbol = 137930033
        bp = <value optimized out>
#11 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393677)
    at eval.c:1751
No locals.
#12 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
No locals.
#13 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800270) at eval.c:3110
        fun = 0
        original_fun = 0
        funcar = 0
        numargs = 2
        val = <value optimized out>
        backtrace = {
  next = 0xbf800308, 
  function = 0xbf800270, 
  args = 0xbf800274, 
  nargs = 2, 
  evalargs = 0 '\0', 
  debug_on_exit = 0 '\0'
}
        internal_args = (Lisp_Object *) 0xbf800274
        i = <value optimized out>
#14 0x0817dd49 in call2 (fn=0, arg1=137930033, arg2=138393669) at eval.c:2852
        ret_ungc_val = 137930033
#15 0x0817de07 in Fsignal (error_symbol=137930033, data=138393669)
    at eval.c:1678
        allhandlers = (struct handler *) 0x0
        conditions = <value optimized out>
        string = <value optimized out>
        real_error_symbol = 137930033
        bp = <value optimized out>
#16 0x0817dfc8 in xsignal (error_symbol=137930033, data=138393669)
    at eval.c:1751
No locals.
#17 0x0817e500 in xsignal1 (error_symbol=137930033, arg=0) at eval.c:1768
No locals.
#18 0x0817d9c1 in Ffuncall (nargs=3, args=0xbf800340) at eval.c:3110
        fun = 0
        original_fun = 0
        funcar = 0
        numargs = 2
        val = <value optimized out>
        backtrace = {
  next = 0xbf8003d8, 
  function = 0xbf800340, 
  args = 0xbf800344, 
  nargs = 2, 
  evalargs = 0 '\0', 
  debug_on_exit = 0 '\0'
}
        internal_args = (Lisp_Object *) 0xbf800344
.....I am sure you do not need all 50000+ copies

(gdb) xbacktrace
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0
0x0 Lisp type 0

Note that this message is sent from an older emacs as at present I do
not have a version form the CVS.

In GNU Emacs 23.0.60.52 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2008-06-07 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  auto-image-file-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x r e p o <tab> r t <tab> <return>

Recent messages:
Preparing diary...done
Loading after-save...done
Loading uniquify...done
Preparing diary...done
Loading /home/jpff/mail-filter.el (source)...done
Loading logger...done
Loading /home/jpff/myemacs.elc...done
Loading delsel...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

==John ffitch